# ZA-FARM-KH Environment Variables
# Copy this file to .env and fill in your values

# Server
PORT=3000
JWT_SECRET=ZaFarmKh_2026_S3cr3t_xK9mP2qR7vL8nW4jT6bY
ALLOWED_ORIGINS=https://za-tool-kh.com
ADMIN_SECRET=ZaFarm_Admin_2026_Secret

# MySQL Database
DB_HOST=localhost
DB_PORT=3306
DB_USER=root
DB_PASSWORD=
DB_NAME=za_farm_kh

# Telegram Bot
TELEGRAM_BOT_TOKEN=8577161889:AAFhrdb5CbsgqGyWNzQ5WEO1JosGEuAl51w
TELEGRAM_ADMIN_CHAT_ID=6047002522

# Upstream API (shopmailmmo.store — ទិញ Gmail OTP)
UPSTREAM_API_KEY=9RVYP8AqiEXw0ZUCvaOsDSwOuZtOF7OI

# Upstream API (angkorphonesms.shop — ទិញលេខទូរសព្ទ)
PHONE_API_KEY=e2d13a0a094869a09cea53ad3c36110459aabc5c261e5ca5

# Bakong KHQR Payment
BAKONG_TOKEN=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjp7ImlkIjoiMGM2MTg2Mjk4MmJmNGEyNyJ9LCJpYXQiOjE3Nzk3NjkwNTUsImV4cCI6MTc4NzU0NTA1NX0.3fnvCNXvXCje96P26kZRJcG7KMrievTIwCMFuHGJsdY
BAKONG_ACCOUNT=srea_lyza@bkrt
BAKONG_NAME=Srea Lyza
BAKONG_CITY=Phnom Penh

GOOGLE_CLIENT_ID=672617690473-890ifftoikf85ta9khr6ep7dd2sqnq8n.apps.googleusercontent.com
GOOGLE_CLIENT_SECRET=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
GOOGLE_REDIRECT_URI=https://za-tool-kh.com/zapi/auth/google/callback
